Get an integration's sync metadata
GET/v1/integration/:integrationInternalId/syncsMetadata
This route allows you to get an integration's sync metadata, which includes the sync's ID, state, creation and last update dates.
Returns resyncs from the last 4 days, or the 50 most recent ones.
Empty results: This legacy endpoint can return empty results for a non-existent integration ID or an integration using the data source processor (DSP) pipelineโeven with a valid ID. This does not necessarily indicate a failed sync. See DSP sync monitoring and replacement endpoints for migration instructions.
Permission requirements
To use this endpoint, you must have a moderator or admin role in your Port organization.
To learn more about the different roles and permissions, please refer to the documentation.
Requestโ
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "integrationInternalId",
"required": true,
"description": "The ID of the integration you want to operate on."
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responsesโ
- 200
- 401
- 404
- 500
Default Response
Default Response
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"count": {
"type": "number"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"eventId": {
"type": "string"
},
"syncState": {
"type": "string"
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"eventId",
"syncState",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}
}
},
"required": [
"ok",
"count",
"data"
],
"additionalProperties": false
}
}
}
},
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
}
}
}